Add support for Sierra MC7455

01/18/2017 05:45 PM - Daniel Ziehmayer

Status: Duplicate Start date: 01/18/2017

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Plus Target Version:  Release Notes:  

Description

pleace add support for Sierra Wireless MC7455 card, thx

Details:

usbconfig -u 1 -a 4 dump_device_desc

ugen1.4: <Sierra Wireless MC7455 Qualcomm Snapdragon X7 LTE-A Sierra Wireless, Incorporated> at, cfg=0 md=HOST

spd=HIGH (480Mbps) pwr=ON (500mA)

bLength = 0x0012

  bDescriptorType = 0x0001

  bcdUSB = 0x0210

  bDeviceClass = 0x0000  &lt;Probed by interface class&gt;

  bDeviceSubClass = 0x0000

  bDeviceProtocol = 0x0000

  bMaxPacketSize0 = 0x0040

  idVendor = 0x1199

  idProduct = 0x9071

  bcdDevice = 0x0006

  iManufacturer = 0x0001  &lt;Sierra Wireless, Incorporated&gt;

  iProduct = 0x0002  &lt;Sierra Wireless MC7455 Qualcomm Snapdragon X7 LTE-A&gt;

  iSerialNumber = 0x0003  &lt;LQ63120537021007&gt;

  bNumConfigurations = 0x0001

History

#1 - 03/02/2017 02:42 PM - Daniel Ziehmayer

Now it works

see: https://redmine.pfsense.org/issues/6832  (the same idProduct)

#2 - 03/02/2017 04:00 PM - Renato Botelho

- Status changed from New to Duplicate

Duplicate of #6832
